Bug 42990 - iptables-save: -c option causing problems as of 1.2.2-1.i386
iptables-save: -c option causing problems as of 1.2.2-1.i386
Product: Red Hat Raw Hide
Classification: Retired
Component: iptables (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-31 00:33 EDT by John MacLean
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-07 09:14:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John MacLean 2001-05-31 00:33:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686; Nav)

Description of problem:
iptables-restore unable to restore any config saved with iptables-save -c.
Able to restore if -c isn't used on the save.	

How reproducible:

Steps to Reproduce:
[root@thunder john]# rpm -q iptables
[root@thunder john]# iptables -L
Chain INPUT (policy ACCEPT)
target     prot opt source               destination
ACCEPT     all  --  anywhere             anywhere           state

Chain FORWARD (policy ACCEPT)
target     prot opt source               destination

Chain OUTPUT (policy ACCEPT)
target     prot opt source               destination
[root@thunder john]# iptables-save -c > test2
[root@thunder john]# iptables-restore -c < test2
iptables-restore v1.2.2: no command specified
Try `iptables-restore -h' or 'iptables-restore --help' for more
[root@thunder john]# 

Expected Results:  No error message.

Additional info:

Problem did not exist in iptables-1.2.1a
Prevents 'service iptables start' from working after a 'service iptables
save' is issued.
Comment 1 Bernhard Rosenkraenzer 2001-10-30 06:45:01 EST
Fixed in 1.2.4-1

Note You need to log in before you can comment on or make changes to this bug.